Bug 1477377 - Backport: net/i40e/base: fix unknown PHYs incorrect identification
Backport: net/i40e/base: fix unknown PHYs incorrect identification
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch-dpdk (Show other bugs)
7.4
Unspecified Unspecified
medium Severity medium
: pre-dev-freeze
: 7.4
Assigned To: Kevin Traynor
ovs-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 19:02 EDT by Andreas Karis
Modified: 2018-05-17 09:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-17 09:35:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm for ovs with backported patch for testing (4.70 MB, application/x-rpm)
2017-08-03 15:49 EDT, Aaron Conole
no flags Details

  None (edit)
Description Andreas Karis 2017-08-01 19:02:57 EDT
Description of problem:
Backport http://dpdk.org/browse/dpdk/commit/drivers/net/i40e/base/i40e_common.c?id=e19e16ad7a39033650057e0d24f55502da4f15d9

Version-Release number of selected component (if applicable):
OVS 2.6.1 with DPDK 16.11

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Here’s a DPDK patch (”net/i40e/base: fix unknown PHYs incorrect identification”)

that was submitted on 2016-12-10, too late for DPDK 16.11:

    http://dpdk.org/browse/dpdk/commit/drivers/net/i40e/base/i40e_common.c?id=e19e16ad7a39033650057e0d24f55502da4f15d9

 
The description states:


The PHY type value for unrecognized PHYs and cables was changed

based on firmware version number. Newer hardware use lower firmware

version numbers and this was causing some PHYs to be identified

as type 0x16 instead of 0xe (unknown).

 

Without this patch, newer card will incorrectly identify unknown

PHYs and cables.

 

This change adds hardware type to the check for firmware version

so the PHY type is reported correctly.

 

This change does not appear to have been backported to DPDK 16.11.2.
Comment 3 Aaron Conole 2017-08-03 15:49 EDT
Created attachment 1308865 [details]
rpm for ovs with backported patch for testing
Comment 4 Kevin Traynor 2018-03-02 13:51:11 EST
Hi Andreas, this patch was not backported DPDK 16.11 stable branch as it is a modification to the i40e base driver, which is generally a drag'n'drop into DPDK from the Intel i40e driver team.

DPDK try to avoid making any changes to this code directly in upstream master DPDK, but occasionally it does it happen. However, they tend to not backport to older DPDK as the base driver is sensitive to firmware versions which may have changed. So what is safe today, might not be safe in an older release.

It's not clear without knowing about operation of the firmware whether this is ok for DPDK 16.11 or not.

The customer case is closed now. Do you think this still needs to be backported? If so, I would contact Intel to ask them about it's suitability for DPDK 16.11.

Kevin.
Comment 6 Andreas Karis 2018-03-09 18:58:54 EST
The related case was indeed fixed by openvswitch-2.6.1-16 and hence by a different fix. I am going to relay this info to the customer. Do you know if there are potentially any negative consequences of not backporting that fix? Seems to have to do with link detection, however I don't remember the exact context of this.
Comment 7 Kevin Traynor 2018-05-17 09:35:18 EDT
This will be part of openvswitch-2.9.X releases which use DPDK 17.11.

Note You need to log in before you can comment on or make changes to this bug.